cgGetParameterResource(3)

NAME
cgGetParameterResource - get a program parameter's resource

SYNOPSIS
  #include <Cg/cg.h>
  CGresource cgGetParameterResource( CGparameter param );

PARAMETERS

param
    The program parameter.

RETURN VALUES
Returns the resource of param.

DESCRIPTION
cgGetParameterResource allows the application to retrieve the resource for a parameter in a Cg program. This resource is necessary for the application to be able to supply the program's inputs and use the program's outputs.

The resource enumerant is a profile-specific hardware resource.

EXAMPLES
  /* log info about parameter param for debugging */
  printf("Resource: %s:%d (base %s)\n",
    cgGetResourceString(cgGetParameterResource(param)),
    cgGetParameterResourceIndex(param),
    cgGetResourceString(cgGetParameterBaseResource(param)));

ERRORS
CG_INVALID_PARAM_HANDLE_ERROR is generated if param is not a valid parameter.

CG_INVALID_PARAMETER_ERROR is generated if param is not a leaf node.

HISTORY
cgGetParameterResource was introduced in Cg 1.1.

SEE ALSO
the cgGetParameterResourceIndex manpage, the cgGetParameterBaseResource manpage, the cgGetResourceString manpage